@Hooudini

Почему vue-cli зависает при компиляции?

Используя vue-cli (vue 3) столкнулся со следующей проблемой:

После запуска dev-сервера через команду npm run serveпри сохранении (нажатии ctrl+S) приложение компилируется, как и должно, но компиляция зависает на каком-то моменте
wE6mS.png
зависает на 51 проценте и может простоять так до нескольких десятков секунд, бывает несколько минут.

Также, если в devTools посмотреть во вкладку Elements на любой из элементов - многие стили перекрывают друг друга.
Думаю, это как-то с этим связано.
yYb2g.png


В проекте используются параллельно tailwind вместе с scss, но от этого, вроде, не должно быть проблем. Пробовал вместо npm использовать yarn dev server, также не помогло. Также была теория, что это происходит от избытка scoped стилей, но после того, как я переписал все стили - все также долго компилируется.

Если это как то поможет - вот все пакеты из package.json
{
  "name": "testvue",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@vueuse/core": "^9.1.0",
    "copy-to-clipboard": "^3.3.2",
    "core-js": "^3.8.3",
    "maska": "^1.5.0",
    "swiper": "^8.3.2",
    "vue": "^3.2.13",
    "vue-router": "^4.0.3",
    "vuex": "^4.0.2",
    "yarn": "^1.22.19"
  },
  "devDependencies": {
    "@babel/core": "^7.12.16",
    "@babel/eslint-parser": "^7.12.16",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-router": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "autoprefixer": "^10.4.8",
    "node-sass": "^7.0.1",
    "postcss": "^8.4.16",
    "sass": "^1.32.7",
    "sass-loader": "^12.6.0",
    "tailwindcss": "^3.1.8"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "eslint:recommended",
      "plugin:prettier/recommended"
    ],
    "parserOptions": {
      "parser": "@babel/eslint-parser"
    },
    "rules": {}
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie 11"
  ]
}
  • Вопрос задан
  • 167 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы